require 'sketchup.rb'
require 'extensions.rb'

module DM

module ProfileBuilder2

  VERSION = "2.1.7"
  PLUGIN_NAME = "Profile Builder 2".freeze
  PLUGIN = self
  if Sketchup.version_number > 16000000
    pbExtension = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__),"DM_ProfileBuilder2","pb_load")))
    pbExtension.description = ("Adds Extensions->Profile Builder 2 to the SketchUp interface.  Profile Builder allows highly efficient modelling and editing of building materials.  This plugin uses the javascript library wz_jsgraphics.js which is free software under the terms of the LGPL license.  Open the file for further details. Some icons have been created by Visual Pharm (website:icons8.com) and are licensed for commercial use.")
    pbExtension.version = VERSION
    pbExtension.creator = "Dale Martens (Whaat)"
    pbExtension.copyright = "2017, MindSight Studios Inc. All rights reserved."
    Sketchup.register_extension pbExtension, true
  else
    UI.messagebox("Sketchup 2016 or greater is required for Profile Builder #{VERSION}. " \
      "Please uninstall by going to #{Sketchup.find_support_file('Plugins')} and deleting both "\
      "the file DM_ProfileBuilder2.rb and the folder DM_ProfileBuilder2.")
  end

end

end